package com.ruoyi.web.controller.mch;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.ss.suit.domain.SuitQuery;
import com.ruoyi.ss.suit.service.SuitService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wjh
 * 2024/7/30
 */
@RestController
@RequestMapping("/mch/suit")
public class MchSuitController extends BaseController {

    @Autowired
    private SuitService suitService;

    @ApiOperation("获取用户的套餐列表")
    @GetMapping("/list")
    public TableDataInfo list(SuitQuery query) {
        startPage();
        query.setUserId(getUserId());
        return getDataTable(suitService.selectSuitList(query));
    }

}
