package com.ruoyi.ss.transactionBill.domain.bo;

import com.ruoyi.ss.channel.domain.ChannelVO;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.store.domain.StoreVo;
import com.ruoyi.ss.suit.domain.SuitVO;
import com.ruoyi.ss.transactionBill.domain.TransactionBill;
import com.ruoyi.ss.user.domain.SmUserVo;
import lombok.Data;

/**
 * 设备充值BO
 * @author wjh
 * 2024/7/28
 */
@Data
public class RechargeBO {

    // 设备
    private DeviceVO device;

    // 充值用户
    private SmUserVo user;

    // 商户
    private SmUserVo mch;

    // 渠道
    private ChannelVO channel;

    // 套餐
    private SuitVO suit;

    // 最终订单
    private TransactionBill order;

    // 原始参数
    private TransactionBill params;

    // 店铺
    private StoreVo store;

}
